
Infrastructure - Story #8036

synchronization should respond to various MN down conditions to avoid syncFailures

2017-03-03 17:30 - Rob Nahf

Status: New Start date: 2017-03-03

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 0%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: CCI-2.4.0   

Story Points:    

Description

Currently, synchronization does heed the Node.status='DOWN' in harvesting, but this is limited, especially when there are long

delays between harvest and processing.  tDAR uses HTTP 502 / 503 responses (not sure which) to signal that the node is

temporarily down, for example.  Also, for network segregation events, where a node cannot even be reached, synchronization should

halt processing - the member node cannot even be notified of sync failures in these situations. 

Thoughts on implementation would be adding Observer pattern to libclient (and/or NodeComms in synchronization) so the task can

be tried again at a later time.  Also try to read the Retry-After header with 503 responses.

History

#1 - 2018-01-17 18:54 - Dave Vieglais

- Sprint set to Infrastructure backlog

#2 - 2018-01-17 18:55 - Rob Nahf

thoughts include having the CN setting and checking down status for a node when it encounters down or other non-connectivity situations
